IVMAN(8)

NAME
ivman - volume manager

SYNOPSIS
ivman [ -sd ] [ --nofork ] [ -c <directory> ]

DESCRIPTION
Ivman, or Ikke's Volume Manager, is a daemon to handle the mounting of media as they are inserted/attached to the system. It can also be used to execute arbitrary commands when a device with certain properties is added to the system (Windows autoplay style functionality), and to execute arbitrary commands when device properties change. Ivman uses HAL to monitor the state of your system's hardware.

OPTIONS

-s or --system
    Start Ivman in system-wide mode. This is the default if running Ivman as root. When this option is specified, Ivman reads from the system-wide configuration directory ( usually /etc/ivman/ ); if this option is not specified, Ivman reads from ${HOME}/.ivman/ instead. Either of these locations may be overridden with the -c option. Other behaviour may differ slightly when running in system-wide mode. Don't use this option unless you know you need it.

--nofork
    Force Ivman not to daemonize, regardless of settings in IvmConfigBase.xml. Useful for capturing debugging output.

-d or --debug
    Force Ivman to give debugging output, regardless of settings in IvmConfigBase.xml.

-c <directory> or --confdir <directory>
    Force Ivman to load configuration files from the specified directory.

DETAILS
Ivman is a flexible device manager, allowing users to run arbitrary commands when devices are added/removed, when device properties change, and when devices emit conditions.

For automount purposes, Ivman should be run once from a system-wide init script and once per user session (e.g., create a link to /usr/bin/ivman in ~/.kde/Autostart or put an entry for /usr/bin/ivman in gnome-session-manager). When a device is attached, Ivman will call pmount or mount to mount the device. If pmount is used, it will mount the device readable and writeable only for the current user; if no per-user instance of Ivman is running, the device will be mounted read/write for everyone in the same group as is required to use the pmount command, and read-only for everyone else. If regular mount is used, then an fstab entry must exist in /etc/fstab for the device to be mounted, and the settings given in that fstab entry will be used for the mount.

Ivman is supplied with sensible default configuration files for volume management, but autoplay functionality has no default actions; you will need to edit ${HOME}/.ivman/IvmConfigActions.xml(5) or /etc/ivman/IvmConfigActions.xml(5) to specify some programs to execute. The syntax of this file and the other Ivman configuration files are specified in their own manpages.

FILES

/etc/ivman/IvmConfigActions.xml
    actions to perform when media is inserted

/etc/ivman/IvmConfigBase.xml
    options affecting the running of Ivman

/etc/ivman/IvmConfigConditions.xml
    actions to perform when devices emit conditions

/etc/ivman/IvmConfigProperties.xml
    actions to perform when device properties change

SEE ALSO
IvmConfigActions.xml(5), IvmConfigBase.xml(5), IvmConfigConditions.xml(5), IvmConfigProperties.xml(5)

BUGS
Hopefully, none :-) But there could be some still lurking. If you encounter a bug, please forward details to rohan.pm@gmail.com or add it to the bug tracker at the project's Sourceforge page, http://sourceforge.net/projects/ivman